--Script to create the synonyms for the PPSNEPL owned tables.

--suppress display of messages for building command file
SET TERM      OFF 
SET ECHO      OFF 
SET HEADING   OFF 
SET FEEDBACK  OFF 
SET PAGESIZE  0   
SET LINESIZE  1000 
SET VERIFY    OFF 

spool create_pub_syns.sql
SELECT  'CREATE PUBLIC SYNONYM ' || TABLE_NAME || ' FOR PPSNEPL.' || TABLE_NAME||  '; ' FROM ALL_TABLES WHERE OWNER ='PPSNEPL';
spool off

--reset display of messages for verification
SET TERM      ON 
SET ECHO      ON 
SET HEADING   ON 
SET FEEDBACK  ON 
SET PAGESIZE  300  
SET VERIFY    ON

spool create_pub_syns.log
start  create_pub_syns.sql
spool off


